## mathemagics-trinity 14.1.0

=== debian/changelog ===
mathemagics-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Mar 2023 19:14:56 +0200

mathemagics-trinity (1.1-0) buster; urgency=low

  * Initial Release for TDE.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Aug 2020 23:32:23 +0200

## mathemagics-trinity 14.1.5

=== mathemagics/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### mathemagics (executable)

tde_add_executable( mathemagics AUTOMOC

  SOURCES
        main.cpp
        mathemagics.cpp
        optiondialog.cpp
        stacklevel.cpp
        keypad.cpp
        kparanoidline.cpp
  LINK
     tdeio-shared
     tdeui-shared
     tdecore-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES mathemagicsui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

## mathemagics-trinity 14.1.1

=== debian/control ===
Source: mathemagics-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: mathemagics-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A RPN scientific calculator for TDE
 Mathemagics makes use of the Reverse Polish Notation or RPN.
 Mathemagics can store and use user-defined functions and variables,
 It comes with large number of built-in functions as well.

## mathemagics-trinity 14.1.2

=== debian/changelog ===
mathemagics-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Apr 2024 04:13:43 +0200

## mathemagics-trinity 14.1.3

=== debian/changelog ===
mathemagics-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:23:47 +0200

## mathemagics-trinity 14.1.4

=== debian/changelog ===
mathemagics-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## mathemagics-trinity 14.1.5~pre0

=== debian/changelog ===
mathemagics-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b9568ff7f483995f4d19dce53cee9c782a5ce824
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## mathemagics-trinity 14.1.5

=== debian/changelog ===
mathemagics-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: mathemagics-trinity

## mathemagics-trinity 14.1.6~pre0

=== debian/changelog ===
mathemagics-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b9568ff7f483995f4d19dce53cee9c782a5ce824
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## mathemagics-trinity 14.1.6~pre1

=== debian/changelog ===
mathemagics-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e5db995c3e4e586bf2b7639ec91346755970677a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:22:49 +0100

## mathemagics-trinity 14.2.0~pre14

=== debian/changelog ===
mathemagics-trinity (4:14.2.0~pre14-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for fcfd854bfdab88df635ff2d4310084f72759631d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## mathemagics-trinity 14.2.0~pre15

=== debian/changelog ===
mathemagics-trinity (4:14.2.0~pre15-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d1529120743338505ea2593886bc688ebb25e09d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#mathemagics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:15:51 +0100
